Page MenuHomePhabricator

Decommission db2066.codfw.wmnet
Closed, ResolvedPublic

Description

This task will track the decommission-hardware of server db2066.codfw.wmnet

The first 5 steps should be completed by the service owner that is returning the server to DC-ops (for reclaim to spare or decommissioning, dependent on server configuration and age.)

db2066

Steps for service owner:

Steps for DC-Ops:

The following steps cannot be interrupted, as it will leave the system in an unfinished state.

Start non-interrupt steps:

  • - disable puppet on host
  • - power down host
  • - update netbox status to Inventory (if decom) or Planned (if spare)
  • - disable switch port
  • - switch port assignment noted on this task (for later removal)
  • - remove all remaining puppet references (include role::spare)
  • - remove production dns entries
  • - puppet node clean, puppet node deactivate (handled by wmf-decommission-host)
  • - remove dbmonitor entries on neodymium/sarin: sudo curl -X DELETE https://debmonitor.discovery.wmnet/hosts/${HOST_FQDN} --cert /etc/debmonitor/ssl/cert.pem --key /etc/debmonitor/ssl/server.key (handled by wmf-decommission-host)

End non-interrupt steps.

  • - system disks wiped (by onsite)
  • - IF DECOM: system unracked and decommissioned (by onsite), update racktables with result
  • - IF DECOM: switch port configration removed from switch once system is unracked.
  • - IF DECOM: add system to decommission tracking google sheet
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui triaged this task as Medium priority.Aug 21 2019, 7:53 AM
Marostegui created this task.
Marostegui moved this task from Triage to In progress on the DBA board.

Change 531594 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2066 from config

https://gerrit.wikimedia.org/r/531594

Marostegui updated the task description. (Show Details)Aug 22 2019, 5:38 AM

Change 531594 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad,db-codfw.php: Remove db2066 from config

https://gerrit.wikimedia.org/r/531594

Mentioned in SAL (#wikimedia-operations) [2019-08-22T05:40:23Z] <marostegui@deploy1001> Synchronized wmf-config/db-eqiad.php: Remove db2066 from config T230885 (duration: 00m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-08-22T05:41:22Z] <marostegui@deploy1001> Synchronized wmf-config/db-codfw.php: Remove db2066 from config T230885 (duration: 00m 54s)

Marostegui updated the task description. (Show Details)Aug 23 2019, 5:03 AM

Change 531803 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Decommission db2066

https://gerrit.wikimedia.org/r/531803

Marostegui updated the task description. (Show Details)Aug 23 2019, 5:08 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-23T05:08:51Z] <marostegui> Remove db2066 from tendril and zarcillo T230885

Change 531803 merged by Marostegui:
[operations/puppet@production] mariadb: Decommission db2066

https://gerrit.wikimedia.org/r/531803

Marostegui updated the task description. (Show Details)Aug 23 2019, 5:10 AM

Mentioned in SAL (#wikimedia-operations) [2019-08-23T05:11:21Z] <marostegui> Stop MySQL on db2066 for decommission T230885

Marostegui reassigned this task from Marostegui to RobH.Aug 23 2019, 5:16 AM
Marostegui edited projects, added decommission-hardware, ops-codfw, DC-Ops; removed DBA.
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops to decommission

Papaul moved this task from Backlog to Decommission on the ops-codfw board.Oct 10 2019, 1:31 AM

Change 543269 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] site.pp: Remove puppet references from db2066

https://gerrit.wikimedia.org/r/543269

Change 543270 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] wmnet: Remove production DNS entries for db2066

https://gerrit.wikimedia.org/r/543270

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db2066.codfw.wmnet

  • db2066.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

Change 543269 merged by Marostegui:
[operations/puppet@production] site.pp: Remove puppet references from db2066

https://gerrit.wikimedia.org/r/543269

Change 543270 merged by Marostegui:
[operations/dns@master] wmnet: Remove production DNS entries for db2066

https://gerrit.wikimedia.org/r/543270

Marostegui reassigned this task from RobH to Papaul.Oct 16 2019, 5:28 AM
Marostegui removed a project: Patch-For-Review.
Marostegui updated the task description. (Show Details)

Host ready for on-site steps + switch disablement

papaul@asw-d-codfw# show | compare 
[edit interfaces interface-range vlan-private1-d-codfw]
-    member ge-6/0/14;
[edit interfaces interface-range disabled]
     member ge-6/0/16 { ... }
+    member ge-6/0/14;
[edit interfaces]
-   ge-6/0/14 {
-       description db2066;
-       enable;
-   }
Papaul updated the task description. (Show Details)Oct 16 2019, 2:38 PM
Papaul updated the task description. (Show Details)Oct 18 2019, 2:58 PM

Change 546503 had a related patch set uploaded (by Papaul; owner: Papaul):
[operations/dns@master] DNS: Remove mgmt DNS for db2066

https://gerrit.wikimedia.org/r/546503

Change 546503 merged by Papaul:
[operations/dns@master] DNS: Remove mgmt DNS for db2066

https://gerrit.wikimedia.org/r/546503

Papaul closed this task as Resolved.Oct 28 2019, 2:20 PM
Papaul updated the task description. (Show Details)

Complete